﻿using System.Windows;
using SharpGL;
using SharpGL.SceneGraph;

namespace WPFOpenGl
{
   /// <summary>
   ///    Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow : Window
   {
      public MainWindow()
      {
         InitializeComponent();
      }

   private void OpenGLControl_OpenGLDraw(object sender, OpenGLEventArgs args)
   {
      var gl = args.OpenGL;
      gl.Clear(OpenGL.GL_COLOR_BUFFER_BIT | OpenGL.GL_DEPTH_BUFFER_BIT);
      gl.Begin(OpenGL.GL_TRIANGLES);
      gl.Color(0f, 1f, 0f);
      gl.Vertex(-1f, -1f);
      gl.Vertex(0f, 1f);
      gl.Vertex(1f, -1f);
      gl.End();
   }

      private void OpenGLControl_OpenGLInitialized(object sender, OpenGLEventArgs args)
      {
         var gl = args.OpenGL;
         gl.ClearColor(0.3f, 0.3f, 0.3f, 0.3f);
      }

      private void OpenGLControl_Resized(object sender, OpenGLEventArgs args)
      {
      }
   }
}